<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 7.3.2 (Python 3.12.3 on linux)" generated="2025-11-20T15:57:09.103478" rpa="false" schemaversion="5">
<suite id="s1" name="Crm" source="/home/ersyl/development/robot-scripts/crm">
<suite id="s1-s1" name="Tests" source="/home/ersyl/development/robot-scripts/crm/Tests">
<suite id="s1-s1-s1" name="Crm" source="/home/ersyl/development/robot-scripts/crm/Tests/crm.robot">
<test id="s1-s1-s1-t1" name="Should be able to Load the Home Page" line="20">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:09.456239" elapsed="0.000236"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:09.456848" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:09.456620" elapsed="1.174748"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:10.631588" elapsed="0.002064"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:10.633855" elapsed="0.013288"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:09.455692" elapsed="1.191606"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:10.648548" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:10.648148" elapsed="0.065598"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:10.647925" elapsed="0.066010"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:10.714647" elapsed="0.013903"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:10.714160" elapsed="0.014589"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:10.647529" elapsed="0.081320"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:10.729592" elapsed="0.074033"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:10.729117" elapsed="0.074778"/>
</kw>
<doc>Test the Home Page</doc>
<tag>1001</tag>
<tag>Home</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:09.413304" elapsed="1.390753"/>
</test>
<test id="s1-s1-s1-t2" name="Should be able to Login With Valid Credentials" line="25">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:10.889643" elapsed="0.000253"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:10.890251" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:10.890043" elapsed="1.077237"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:11.967511" elapsed="0.001907"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:11.969625" elapsed="0.014584"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:10.889321" elapsed="1.095135"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:11.985920" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:11.985659" elapsed="0.053187"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:11.985281" elapsed="0.053721"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:12.039585" elapsed="0.008520"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:12.039164" elapsed="0.009090"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:11.984781" elapsed="0.063550"/>
</kw>
<kw name="Login With Valid Credentials" owner="crmApp">
<kw name="Click Sign In Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:12.049895" level="INFO">Clicking link 'Sign In'.</msg>
<arg>${TOPNAV_SIGNIN_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:12.049409" elapsed="0.404320"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:12.049067" elapsed="0.404967"/>
</kw>
<kw name="Verify Page Loaded" owner="SignIn">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SIGNIN_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:12.454828" elapsed="0.008586"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:12.454355" elapsed="0.009203"/>
</kw>
<kw name="Login With Valid Credentials" owner="SignIn">
<kw name="Fill Email Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:12.464515" level="INFO">Typing text 'contact@gmail.com' into text field 'id=email-id'.</msg>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<arg>${Email}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:12.464290" elapsed="0.063469"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:12.464065" elapsed="0.063950"/>
</kw>
<kw name="Fill Password Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:12.528915" level="INFO">Typing text 'password12345' into text field 'id=password'.</msg>
<arg>${SIGNIN_PASSWORD_TEXTBOX}</arg>
<arg>${Password}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:12.528628" elapsed="0.064380"/>
</kw>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:12.528233" elapsed="0.064981"/>
</kw>
<kw name="Click Submit Field" owner="SignIn">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:12.594123" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>${SIGNIN_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:12.593783" elapsed="0.403048"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:12.593415" elapsed="0.403696"/>
</kw>
<arg>${Email}</arg>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:12.463730" elapsed="0.533550"/>
</kw>
<kw name="Verify Page Loaded" owner="Customers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CUSTOMERS_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:12.998074" elapsed="0.010493"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:12.997554" elapsed="0.011466"/>
</kw>
<arg>${VALID_LOGIN_EMAIL}</arg>
<arg>${VALID_LOGIN_PASSWORD}</arg>
<status status="PASS" start="2025-11-20T15:57:12.048512" elapsed="0.960700"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:13.010000" elapsed="0.056005"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:13.009616" elapsed="0.056567"/>
</kw>
<doc>Test the Login</doc>
<tag>1002</tag>
<tag>Login</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:10.847496" elapsed="2.218765"/>
</test>
<test id="s1-s1-s1-t3" name="Should not be able to Login With Invalid Email" line="31">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:13.152524" elapsed="0.000210"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:13.153076" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:13.152881" elapsed="1.132894"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:14.286028" elapsed="0.002285"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:14.288531" elapsed="0.014399"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:13.152232" elapsed="1.150896"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:14.304346" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:14.304088" elapsed="0.072238"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:14.303773" elapsed="0.072806"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:14.377163" elapsed="0.009365"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:14.376803" elapsed="0.009906"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:14.303368" elapsed="0.083427"/>
</kw>
<kw name="Login With Invalid Credentials" owner="crmApp">
<kw name="Click Sign In Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:14.387851" level="INFO">Clicking link 'Sign In'.</msg>
<arg>${TOPNAV_SIGNIN_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:14.387611" elapsed="1.143387"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:14.387366" elapsed="1.143786"/>
</kw>
<kw name="Verify Page Loaded Credentials" owner="SignIn">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SIGNIN_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:15.531596" elapsed="0.010488"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:15.531314" elapsed="0.010928"/>
</kw>
<kw name="Login With Invalid Credentials" owner="SignIn">
<kw name="Fill Email Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:15.543242" level="INFO">Typing text 'contactgmail.com' into text field 'id=email-id'.</msg>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<arg>${Email}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:15.543035" elapsed="0.059889"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:15.542786" elapsed="0.060453"/>
</kw>
<kw name="Click Submit Field" owner="SignIn">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:15.604161" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>${SIGNIN_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:15.603892" elapsed="0.061596"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:15.603520" elapsed="0.062191"/>
</kw>
<kw name="Wait Until Element Is Visible" owner="SeleniumLibrary">
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" start="2025-11-20T15:57:15.665880" elapsed="0.019663"/>
</kw>
<kw name="Get Value" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:15.694485" level="INFO">${email_check} = contactgmail.com</msg>
<var>${email_check}</var>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<doc>Returns the value attribute of the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:15.685789" elapsed="0.008813"/>
</kw>
<kw name="Should Not Contain" owner="BuiltIn">
<arg>${email_check}</arg>
<arg>@</arg>
<doc>Fails if ``container`` contains ``item`` one or more times.</doc>
<status status="PASS" start="2025-11-20T15:57:15.694866" elapsed="0.000439"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:15.542418" elapsed="0.153067"/>
</kw>
<kw name="Verifiy Not Be Loaded" owner="Customers">
<kw name="Page Should Not Contain" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:15.720918" level="INFO">Current page does not contain text 'Our Happy Customers'.</msg>
<arg>${CUSTOMERS_HEADER_LABEL}</arg>
<doc>Verifies the current page does not contain ``text``.</doc>
<status status="PASS" start="2025-11-20T15:57:15.696378" elapsed="0.024761"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:15.695798" elapsed="0.025569"/>
</kw>
<arg>${INVALID_LOGIN_EMAIL}</arg>
<status status="PASS" start="2025-11-20T15:57:14.386982" elapsed="1.334540"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:57:18.722265" level="INFO">Slept 3 seconds.</msg>
<arg>3</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:57:15.721753" elapsed="3.000695"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:18.723188" elapsed="0.057691"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:18.722736" elapsed="0.058369"/>
</kw>
<doc>This is some basic info about the test</doc>
<tag>1002</tag>
<tag>notLogin</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:13.109420" elapsed="5.671798"/>
</test>
<test id="s1-s1-s1-t4" name="Should be able to select the remember Checkbox" line="38">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:18.865605" elapsed="0.000209"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:18.866121" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:18.865947" elapsed="1.060821"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:19.926968" elapsed="0.001600"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:19.928744" elapsed="0.013485"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:18.865315" elapsed="1.077078"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:19.943284" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:19.943129" elapsed="0.047499"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:19.942912" elapsed="0.048006"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:19.991465" elapsed="0.008869"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:19.991124" elapsed="0.009372"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:19.942582" elapsed="0.057997"/>
</kw>
<kw name="Login With remember checkbox" owner="crmApp">
<kw name="Click Sign In Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:20.001658" level="INFO">Clicking link 'Sign In'.</msg>
<arg>${TOPNAV_SIGNIN_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:20.001431" elapsed="0.366823"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:20.001195" elapsed="0.367230"/>
</kw>
<kw name="Verify Page Loaded" owner="SignIn">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SIGNIN_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:20.369000" elapsed="0.008788"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:20.368612" elapsed="0.009347"/>
</kw>
<kw name="Login With remember checkbox" owner="SignIn">
<kw name="Fill Email Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:20.379174" level="INFO">Typing text 'contact@gmail.com' into text field 'id=email-id'.</msg>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<arg>${Email}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:20.378921" elapsed="0.060067"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:20.378607" elapsed="0.060654"/>
</kw>
<kw name="Fill Password Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:20.440489" level="INFO">Typing text 'password12345' into text field 'id=password'.</msg>
<arg>${SIGNIN_PASSWORD_TEXTBOX}</arg>
<arg>${Password}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:20.440179" elapsed="0.062101"/>
</kw>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:20.439569" elapsed="0.062934"/>
</kw>
<kw name="Click Checkbox" owner="SignIn">
<kw name="Select Checkbox" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:20.503661" level="INFO">Selecting checkbox 'id=remember'.</msg>
<arg>${SELECT_REMEMBER_BOX}</arg>
<doc>Selects the checkbox identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:20.503236" elapsed="0.059495"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:20.502730" elapsed="0.060229"/>
</kw>
<kw name="Click Submit Field" owner="SignIn">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:20.564255" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>${SIGNIN_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:20.563813" elapsed="0.055363"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:20.563204" elapsed="0.056148"/>
</kw>
<arg>${Email}</arg>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:20.378180" elapsed="0.241274"/>
</kw>
<kw name="Verify Page Loaded" owner="Customers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CUSTOMERS_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:20.619999" elapsed="0.294954"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:20.619645" elapsed="0.295508"/>
</kw>
<arg>${VALID_LOGIN_EMAIL}</arg>
<arg>${VALID_LOGIN_PASSWORD}</arg>
<status status="PASS" start="2025-11-20T15:57:20.000788" elapsed="0.914470"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:57:23.915886" level="INFO">Slept 3 seconds.</msg>
<arg>3</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:57:20.915459" elapsed="3.000592"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:23.916581" elapsed="0.056246"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:23.916283" elapsed="0.056683"/>
</kw>
<doc>Test the remember Checkbox</doc>
<tag>1003</tag>
<tag>Select</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:18.823380" elapsed="5.149659"/>
</test>
<test id="s1-s1-s1-t5" name="Should be able to log out" line="45">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:24.057573" elapsed="0.000239"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:24.058124" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:24.057944" elapsed="1.106060"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:25.164210" elapsed="0.002498"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.166907" elapsed="0.013488"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:24.057244" elapsed="1.123295"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:25.181356" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.181188" elapsed="0.059118"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.180995" elapsed="0.059468"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:25.241076" elapsed="0.009281"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.240626" elapsed="0.009932"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.180718" elapsed="0.069919"/>
</kw>
<kw name="Login With Valid Credentials" owner="crmApp">
<kw name="Click Sign In Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:25.251915" level="INFO">Clicking link 'Sign In'.</msg>
<arg>${TOPNAV_SIGNIN_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.251459" elapsed="0.471606"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.251164" elapsed="0.472071"/>
</kw>
<kw name="Verify Page Loaded" owner="SignIn">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SIGNIN_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:25.723848" elapsed="0.007853"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.723412" elapsed="0.008440"/>
</kw>
<kw name="Login With Valid Credentials" owner="SignIn">
<kw name="Fill Email Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:25.732917" level="INFO">Typing text 'contact@gmail.com' into text field 'id=email-id'.</msg>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<arg>${Email}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.732699" elapsed="0.062370"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:25.732425" elapsed="0.062900"/>
</kw>
<kw name="Fill Password Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:25.796954" level="INFO">Typing text 'password12345' into text field 'id=password'.</msg>
<arg>${SIGNIN_PASSWORD_TEXTBOX}</arg>
<arg>${Password}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.796397" elapsed="0.071184"/>
</kw>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:25.795681" elapsed="0.072216"/>
</kw>
<kw name="Click Submit Field" owner="SignIn">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:25.869209" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>${SIGNIN_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:25.868795" elapsed="0.054036"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.868246" elapsed="0.054877"/>
</kw>
<arg>${Email}</arg>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:25.732047" elapsed="0.191253"/>
</kw>
<kw name="Verify Page Loaded" owner="Customers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CUSTOMERS_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:25.924261" elapsed="0.300260"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:25.923634" elapsed="0.301087"/>
</kw>
<arg>${VALID_LOGIN_EMAIL}</arg>
<arg>${VALID_LOGIN_PASSWORD}</arg>
<status status="PASS" start="2025-11-20T15:57:25.250815" elapsed="0.974009"/>
</kw>
<kw name="Sign Out" owner="crmApp">
<kw name="Click Sign Out Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:26.226544" level="INFO">Clicking link 'Sign Out'.</msg>
<arg>${TOPNAV_SIGNOUT_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:26.226052" elapsed="0.211489"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:26.225525" elapsed="0.212242"/>
</kw>
<kw name="Verify Page Loaded" owner="LoggerOut">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${LOGGEDOUT_HEADER-LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:26.438412" elapsed="0.007866"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:26.437984" elapsed="0.008436"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:26.225047" elapsed="0.221451"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:26.446986" elapsed="0.055785"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:26.446708" elapsed="0.056222"/>
</kw>
<doc>Test the Log out</doc>
<tag>1004</tag>
<tag>Logout</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:24.015349" elapsed="2.487661"/>
</test>
<test id="s1-s1-s1-t6" name="Should be able to add new customer" line="52">
<kw name="Begin Web Test" owner="Common" type="SETUP">
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-11-20T15:57:26.588772" elapsed="0.000229"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:26.589311" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>${URL}</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:26.589135" elapsed="1.061866"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-11-20T15:57:27.651309" elapsed="0.002106"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1040</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-11-20T15:57:27.653588" elapsed="0.013960"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:26.588439" elapsed="1.079388"/>
</kw>
<kw name="Go to &quot;Home&quot; Page" owner="crmApp">
<kw name="Navigate To" owner="Home">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:27.669218" level="INFO">Opening url 'https://automationplayground.com/crm/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T15:57:27.668972" elapsed="0.056575"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:27.668604" elapsed="0.057223"/>
</kw>
<kw name="Verify Page Loaded" owner="Home">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:27.726382" elapsed="0.008340"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:27.726032" elapsed="0.008847"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:27.668104" elapsed="0.066858"/>
</kw>
<kw name="Login With Valid Credentials" owner="crmApp">
<kw name="Click Sign In Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:27.735979" level="INFO">Clicking link 'Sign In'.</msg>
<arg>${TOPNAV_SIGNIN_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:27.735756" elapsed="0.363426"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:27.735509" elapsed="0.363999"/>
</kw>
<kw name="Verify Page Loaded" owner="SignIn">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SIGNIN_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:28.100105" elapsed="0.009165"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:28.099741" elapsed="0.009677"/>
</kw>
<kw name="Login With Valid Credentials" owner="SignIn">
<kw name="Fill Email Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:28.110401" level="INFO">Typing text 'contact@gmail.com' into text field 'id=email-id'.</msg>
<arg>${SIGNIN_EMAIL_TEXTBOX}</arg>
<arg>${Email}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:28.110193" elapsed="0.058209"/>
</kw>
<arg>${Email}</arg>
<status status="PASS" start="2025-11-20T15:57:28.109944" elapsed="0.058790"/>
</kw>
<kw name="Fill Password Field" owner="SignIn">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:28.170030" level="INFO">Typing text 'password12345' into text field 'id=password'.</msg>
<arg>${SIGNIN_PASSWORD_TEXTBOX}</arg>
<arg>${Password}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:28.169624" elapsed="0.069487"/>
</kw>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:28.169098" elapsed="0.070213"/>
</kw>
<kw name="Click Submit Field" owner="SignIn">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:28.240260" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>${SIGNIN_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:28.239915" elapsed="0.053480"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:28.239521" elapsed="0.054071"/>
</kw>
<arg>${Email}</arg>
<arg>${Password}</arg>
<status status="PASS" start="2025-11-20T15:57:28.109581" elapsed="0.184134"/>
</kw>
<kw name="Verify Page Loaded" owner="Customers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CUSTOMERS_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:28.294551" elapsed="0.489547"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:28.294033" elapsed="0.490214"/>
</kw>
<arg>${VALID_LOGIN_EMAIL}</arg>
<arg>${VALID_LOGIN_PASSWORD}</arg>
<status status="PASS" start="2025-11-20T15:57:27.735134" elapsed="1.049189"/>
</kw>
<kw name="Add New Customer" owner="crmApp">
<kw name="Click Add Customer Link" owner="Customers">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:28.785204" level="INFO">Clicking link 'id=new-customer'.</msg>
<arg>${CUSTOMERS_ADD_CUSTOMER_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:28.784996" elapsed="0.316026"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:28.784779" elapsed="0.316397"/>
</kw>
<kw name="Verify Page Loaded" owner="AddCustomers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${ADDCUSTOMER_HEADER_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:29.101627" elapsed="0.007588"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:29.101337" elapsed="0.008029"/>
</kw>
<kw name="Add New Customer" owner="AddCustomers">
<kw name="Fill Custumer Fields" owner="AddCustomers">
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.110253" level="INFO">Typing text 'jane.doe@gmail.com' into text field 'id=EmailAddress'.</msg>
<arg>${ADDCUSTOMER_EMAILADDRESS}</arg>
<arg>${INPUT_EMAILADDRESS}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.110041" elapsed="0.050477"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.161326" level="INFO">Typing text 'Jane' into text field 'id=FirstName'.</msg>
<arg>${ADDCUSTOMER_FIRSTNAME}</arg>
<arg>${INPUT_FIRSTNAME}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.160849" elapsed="0.061698"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.223384" level="INFO">Typing text 'Doe' into text field 'id=LastName'.</msg>
<arg>${ADDCUSTOMER_LASTNAME}</arg>
<arg>${INPUT_LASTNAME}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.222910" elapsed="0.045603"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.269348" level="INFO">Typing text 'Marseille' into text field 'id=City'.</msg>
<arg>${ADDCUSTOMER_CITY}</arg>
<arg>${INPUT_CITY}</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.268853" elapsed="0.052336"/>
</kw>
<kw name="Select From List By Value" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.322200" level="INFO">Selecting options from selection list 'id=StateOrRegion' by value TX.</msg>
<arg>${ADDCUSTOMER_REGION}</arg>
<arg>${INPUT_REGION}</arg>
<doc>Selects options from selection list ``locator`` by ``values``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.321592" elapsed="0.058810"/>
</kw>
<kw name="Select Radio Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.380932" level="INFO">Selecting 'female' from radio button 'gender'.</msg>
<arg>${ADDCUSTOMER_GENDER}</arg>
<arg>${INPUT_GENDER}</arg>
<doc>Sets the radio button group ``group_name`` to ``value``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.380650" elapsed="0.049419"/>
</kw>
<kw name="Select Checkbox" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.430841" level="INFO">Selecting checkbox 'promos-name'.</msg>
<arg>${SELECT_CHECK_BOX}</arg>
<doc>Selects the checkbox identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.430394" elapsed="0.048926"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:29.109838" elapsed="0.369663"/>
</kw>
<kw name="Click Submit Button" owner="AddCustomers">
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:29.480310" level="INFO">Clicking button 'Submit'.</msg>
<arg>${ADDCUSTOMER_SUBMIT_BUTTON}</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:29.480055" elapsed="0.052577"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:29.479710" elapsed="0.053105"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:29.109524" elapsed="0.423401"/>
</kw>
<kw name="Verify Customer Added Successfully" owner="Customers">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CUSTOMERS_CUSTOMER_SUCCESS_LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:29.533698" elapsed="0.184828"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:29.533170" elapsed="0.185555"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:28.784490" elapsed="0.934340"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T15:57:32.719389" level="INFO">Slept 3 seconds.</msg>
<arg>3</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T15:57:29.718992" elapsed="3.000604"/>
</kw>
<kw name="Sign Out" owner="crmApp">
<kw name="Click Sign Out Link" owner="TopNav">
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-11-20T15:57:32.720560" level="INFO">Clicking link 'Sign Out'.</msg>
<arg>${TOPNAV_SIGNOUT_LINK}</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T15:57:32.720372" elapsed="0.205099"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:32.720115" elapsed="0.205523"/>
</kw>
<kw name="Verify Page Loaded" owner="LoggerOut">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${LOGGEDOUT_HEADER-LABEL}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T15:57:32.926155" elapsed="0.009229"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:32.925835" elapsed="0.009702"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:32.719852" elapsed="0.215779"/>
</kw>
<kw name="End Web Test" owner="Common" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T15:57:32.936200" elapsed="0.056515"/>
</kw>
<status status="PASS" start="2025-11-20T15:57:32.935876" elapsed="0.056984"/>
</kw>
<doc>Test the Log out</doc>
<tag>1004</tag>
<tag>Logout</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-11-20T15:57:26.545396" elapsed="6.447543"/>
</test>
<doc>This is some basic info about the whole suite</doc>
<status status="PASS" start="2025-11-20T15:57:09.251242" elapsed="23.783326"/>
</suite>
<status status="PASS" start="2025-11-20T15:57:09.207230" elapsed="23.869565"/>
</suite>
<status status="PASS" start="2025-11-20T15:57:09.107359" elapsed="24.012047"/>
</suite>
<statistics>
<total>
<stat pass="6" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">1001</stat>
<stat pass="2" fail="0" skip="0">1002</stat>
<stat pass="1" fail="0" skip="0">1003</stat>
<stat pass="2" fail="0" skip="0">1004</stat>
<stat pass="1" fail="0" skip="0">Home</stat>
<stat pass="1" fail="0" skip="0">Login</stat>
<stat pass="2" fail="0" skip="0">Logout</stat>
<stat pass="1" fail="0" skip="0">notLogin</stat>
<stat pass="1" fail="0" skip="0">Select</stat>
<stat pass="6" fail="0" skip="0">Smoke</stat>
</tag>
<suite>
<stat name="Crm" id="s1" pass="6" fail="0" skip="0">Crm</stat>
<stat name="Tests" id="s1-s1" pass="6" fail="0" skip="0">Crm.Tests</stat>
<stat name="Crm" id="s1-s1-s1" pass="6" fail="0" skip="0">Crm.Tests.Crm</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
